/*
  "Skilled Chimp" by Yana Kuznetsova, Pau Padrós and Eirene Zhen Pérez.

  This program works in conjunction with the "Skilled Chimp" Halloween project.
  Build the physical model and load this program into the Arduino Uno for it to come alive!

  Load into Arduino the "HC-SR04" Library by Dirk Sarodnick.
  You do that by going... Sketch - Include Library - Manage Libraries and then search for "HC-SR04" by Dirk Sarodnick and install it.
*/


//We include the library we have just installed and assign pins 12 and 13 to the output and input of the ultrasonic sensor.
#include <HCSR04.h>

byte triggerPin = 12;
byte echoPin = 13;
int distanceActive = 80;


void setup() {
  // We initialise digital pins 2 to 7 as outputs.
  pinMode(2, OUTPUT);
  pinMode(3, OUTPUT);
  pinMode(4, OUTPUT);
  pinMode(5, OUTPUT);
  pinMode(6, OUTPUT);
  pinMode(7, OUTPUT);

  //We initalise the ultrasonic sensor .
  Serial.begin(9600);
  HCSR04.begin(triggerPin, echoPin);
}


void loop() {

  //We establish the conditions under which some LEDs with turn off to leave the "kill him" message on. By default, the message will appear when the sensor reads 120cm (47 inches) or less. You can change that value to one that suits you by changing the value of int distanceActive on top of the code.
  double* distances = HCSR04.measureDistanceCm();

  if ((distances[0] < distanceActive) && (distances[0] > 2)) {
    digitalWrite(2, LOW);   // the LED is turned on when it is set to HIGH and is off when it is set to LOW
    digitalWrite(3, HIGH);
    digitalWrite(4, LOW);
    digitalWrite(5, LOW);
    digitalWrite(6, HIGH);
    digitalWrite(7, LOW);

  } else if (distances[0] > distanceActive) {
    digitalWrite(2, HIGH);
    digitalWrite(3, HIGH);
    digitalWrite(4, HIGH);
    digitalWrite(5, HIGH);
    digitalWrite(6, HIGH);
    digitalWrite(7, HIGH);

  }

  //These last lines allow you to see in real time the distance that the sensor is reading by clicking the magnifying glass icon on the top right corner.
  Serial.print("1: ");
  Serial.print(distances[0]);
  Serial.println(" cm");

  Serial.println("---");

}
